Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface PreparedQuery

All Superinterfaces:
  QueryProperties

public interface PreparedQuery
extends QueryProperties

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`ResultSet` | `execute()` Executes the specified query.
`Collection` | `find()` Executes the specified query.
`String` | `getEjbql()`
`void` | `setBigDecimal(int index, BigDecimal value)`
`void` | `setBigInteger(int index, BigInteger value)`
`void` | `setBinary(int index, byte[] value)`
`void` | `setBoolean(int index, boolean value)`
`void` | `setByte(int index, byte value)`
`void` | `setCalender(int index, Calendar value)`
`void` | `setCharacter(int index, char value)`
`void` | `setDate(int index, Date value)`
`void` | `setDate(int index, Date value)`
`void` | `setDouble(int index, double value)`
`void` | `setFloat(int index, float value)`
`void` | `setInt(int index, int value)`
`void` | `setLong(int index, long value)`
`void` | `setObject(int index, Object value)`
`void` | `setShort(int index, short value)`
`void` | `setString(int index, String value)`
`void` | `setTime(int index, Date value)`
`void` | `setTime(int index, Time value)`
`void` | `setTimestamp(int index, Date value)`
`void` | `setTimestamp(int index, Timestamp value)`

Methods inherited from interface weblogic.ejb.QueryProperties
`getEnableQueryCaching, getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setEnableQueryCaching, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Method Detail

### execute

    public ResultSet execute()
                      throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### find

    public Collection find()
                    throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### getEjbql

    public String getEjbql()

### setBigDecimal

    public void setBigDecimal(int index,
                              BigDecimal value)

### setBigInteger

    public void setBigInteger(int index,
                              BigInteger value)

### setBinary

    public void setBinary(int index,
                          byte[] value)

### setBoolean

    public void setBoolean(int index,
                           boolean value)

### setByte

    public void setByte(int index,
                        byte value)

### setCalender

    public void setCalender(int index,
                            Calendar value)

### setCharacter

    public void setCharacter(int index,
                             char value)

### setDate

    public void setDate(int index,
                        Date value)

### setDate

    public void setDate(int index,
                        Date value)

### setDouble

    public void setDouble(int index,
                          double value)

### setFloat

    public void setFloat(int index,
                         float value)

### setInt

    public void setInt(int index,
                       int value)

### setLong

    public void setLong(int index,
                        long value)

### setObject

    public void setObject(int index,
                          Object value)

### setShort

    public void setShort(int index,
                         short value)

### setString

    public void setString(int index,
                          String value)

### setTime

    public void setTime(int index,
                        Date value)

### setTime

    public void setTime(int index,
                        Time value)

### setTimestamp

    public void setTimestamp(int index,
                             Date value)

### setTimestamp

    public void setTimestamp(int index,
                             Timestamp value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD